import RPi.GPIO as GPIO, time, random
GPIO.setmode(GPIO.BCM)
# Start writing your program below

star = 2
lights = [4, 15, 13, 21, 25, 8, 5, 10, 16, 17,
          27, 26, 24, 9, 12, 6, 20, 19, 14, 18,
          11, 7, 23, 22]
allLights = [star] + lights
GPIO.setup(allLights, GPIO.OUT)
interval = 0.02

flickeringPins = []
for light in allLights:
    pin = GPIO.PWM(light, 100)
    pin.start(100)
    flickeringPins.append(pin)

while True:
    try:
        pin = random.choice(flickeringPins)
        pin.ChangeDutyCycle(random.random()*100)
        time.sleep(interval)
    except KeyboardInterrupt:
        break
    
for pin in flickeringPins:
    pin.stop()

# Write your program above this line
GPIO.cleanup()